forward_list.hpp File Reference
`#include "./encoder.hpp"`
`#include "./decoder.hpp"`
`#include <forward_list>`
`#include <utility>`
Include dependency graph for forward_list.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| proton
| The main Proton namespace.
| proton::codec
| Unsettled API - AMQP data encoding and decoding.

## Functions

template<class T , class A >
encoder & | operator<< (encoder &e, const std::forward_list< T, A > &x)
| std::forward_list<T> for most T is encoded as an AMQP array.
template<class A >
encoder & | operator<< (encoder &e, const std::forward_list< value, A > &x)
| Specialize for std::forward_list<value>, encode as AMQP forward_list (variable type)
template<class A >
encoder & | operator<< (encoder &e, const std::forward_list< scalar, A > &x)
| Specialize for std::forward_list<scalar>, encode as AMQP list (variable type)
template<class A , class K , class T >
encoder & | operator<< (encoder &e, const std::forward_list< std::pair< K, T >, A > &x)
| Specialize for std::forward_list<std::pair<k,t> >, encode as AMQP map. More...
template<class T , class A >
decoder & | operator>> (decoder &d, std::forward_list< T, A > &x)
| Decode to std::forward_list<T> from an amqp::LIST or amqp::ARRAY.
template<class A , class K , class T >
decoder & | operator>> (decoder &d, std::forward_list< std::pair< K, T >, A > &x)
| Decode to std::forward_list<std::pair<K, T> from an amqp::MAP.

## Detailed Description

Unsettled API - Enable conversions between `proton::value` and `std::forward_list`.